eBay Trading APIVersion 1475
 

ListingSubtypeCodeType ( token )

This enumerated type defines the two subtypes that can be used if the main listing type (in ListingType field) is LeadGeneration. A ListingSubtype2 value must be specified if the ListingType value is set to LeadGeneration.

Type that uses ListingSubtypeCodeType:

Calls that use one or more values of ListingSubtypeCodeType:

Enumeration Values

Value Description
ClassifiedAd This value indicates that the lead generation listing is a classifed ad. Note that only some eBay categories support classified ad listings. To determine whether a specific leaf category on a specific eBay marketplace supports Classified Ad listings, use the Metadata API getClassifiedAdPolicies method. Pass the target marketplace_id and the leaf category ID in the filter query parameter, and then inspect the classifiedAdPolicies.adFormatEnabled field for the returned category.
CustomCode Reserved for internal or future use
LocalMarketBestOfferOnly This value indicates that the lead generation listing is a US Motors Local Market listing. Note that only some eBay Motors categories support Motors Local Market listings. To determine whether a specific leaf category supports Motors Local Market Classified Ad listings, use the Metadata API getMotorsListingPolicies method. For eBay US Motors categories, specify marketplace_id as EBAY_MOTORS_US, pass the leaf category ID in the filter query parameter, and then inspect the motorsListingPolicies.localMarketAdFormatEnabled field for the returned category.
  * See the Enumeration Index to see exact use of each enumeration value in the API.